EventSource (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Interface EventSource

All Superinterfaces:
  LobCreationContext, Serializable, Session, SessionImplementor, SharedSessionContract

All Known Implementing Classes:
  SessionImpl

    public interface EventSource

extends SessionImplementor, Session

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.engine.jdbc.LobCreationContext
`LobCreationContext.Callback<T>`

Nested classes/interfaces inherited from interface org.hibernate.Session
`Session.LockRequest`

Method Summary
`void` | `delete(String entityName, Object child, boolean isCascadeDeleteEnabled, Set transientEntities)` Cascade delete an entity instance
`void` | `forceFlush(EntityEntry e)` Force an immediate flush
`ActionQueue` | `getActionQueue()` Get the ActionQueue for this session
`Object` | `instantiate(EntityPersister persister, Serializable id)` Instantiate an entity instance, using either an interceptor, or the given persister
`void` | `merge(String entityName, Object object, Map copiedAlready)` Cascade merge an entity instance
`void` | `persist(String entityName, Object object, Map createdAlready)` Cascade persist an entity instance
`void` | `persistOnFlush(String entityName, Object object, Map copiedAlready)` Cascade persist an entity instance during the flush process
`void` | `refresh(Object object, Map refreshedAlready)` Cascade refresh an entity instance

Methods inherited from interface org.hibernate.engine.spi.SessionImplementor
`afterScrollOperation, applyNonFlushedChanges, bestGuessEntityName, connection, disableTransactionAutoJoin, executeNativeUpdate, executeUpdate, flush, generateCacheKey, generateEntityKey, getCacheMode, getContextEntityIdentifier, getDontFlushFromFind, getEnabledFilters, getEntityPersister, getEntityUsingInterceptor, getFactory, getFetchProfile, getFilterParameterType, getFilterParameterValue, getFlushMode, getInterceptor, getJdbcConnectionAccess, getLoadQueryInfluencers, getNamedQuery, getNamedSQLQuery, getNonFlushedChanges, getPersistenceContext, getTenantIdentifier, getTimestamp, getTransactionCoordinator, guessEntityName, immediateLoad, initializeCollection, instantiate, internalLoad, isClosed, isConnected, isEventSource, isOpen, isTransactionInProgress, iterate, iterateFilter, list, list, list, listCustomQuery, listFilter, scroll, scroll, scroll, scrollCustomQuery, setAutoClear, setCacheMode, setFetchProfile, setFlushMode`

Methods inherited from interface org.hibernate.engine.jdbc.LobCreationContext
`execute`

Methods inherited from interface org.hibernate.Session
`buildLockRequest, byId, byId, byNaturalId, byNaturalId, bySimpleNaturalId, bySimpleNaturalId, cancelQuery, clear, close, contains, createFilter, delete, delete, disableFetchProfile, disableFilter, disconnect, doReturningWork, doWork, enableFetchProfile, enableFilter, evict, flush, get, get, get, get, get, get, getCacheMode, getCurrentLockMode, getEnabledFilter, getEntityName, getFlushMode, getIdentifier, getLobHelper, getSessionFactory, getStatistics, getTypeHelper, isConnected, isDefaultReadOnly, isDirty, isFetchProfileEnabled, isOpen, isReadOnly, load, load, load, load, load, load, load, lock, lock, merge, merge, persist, persist, reconnect, refresh, refresh, refresh, refresh, refresh, replicate, replicate, save, save, saveOrUpdate, saveOrUpdate, sessionWithOptions, setCacheMode, setDefaultReadOnly, setFlushMode, setReadOnly, update, update`

Methods inherited from interface org.hibernate.SharedSessionContract
`beginTransaction, createCriteria, createCriteria, createCriteria, createCriteria, createQuery, createSQLQuery, getNamedQuery, getTenantIdentifier, getTransaction`

Method Detail

### getActionQueue

    ActionQueue getActionQueue()

  Get the ActionQueue for this session

### instantiate

    Object instantiate(EntityPersister persister,
                       Serializable id)
                       throws HibernateException

  Instantiate an entity instance, using either an interceptor, or the given persister

  Throws:
    `HibernateException`

### forceFlush

    void forceFlush(EntityEntry e)
                    throws HibernateException

  Force an immediate flush

  Throws:
    `HibernateException`

### merge

    void merge(String entityName,
               Object object,
               Map copiedAlready)
               throws HibernateException

  Cascade merge an entity instance

  Throws:
    `HibernateException`

### persist

    void persist(String entityName,
                 Object object,
                 Map createdAlready)
                 throws HibernateException

  Cascade persist an entity instance

  Throws:
    `HibernateException`

### persistOnFlush

    void persistOnFlush(String entityName,
                        Object object,
                        Map copiedAlready)

  Cascade persist an entity instance during the flush process

### refresh

    void refresh(Object object,
                 Map refreshedAlready)
                 throws HibernateException

  Cascade refresh an entity instance

  Throws:
    `HibernateException`

### delete

    void delete(String entityName,
                Object child,
                boolean isCascadeDeleteEnabled,
                Set transientEntities)

  Cascade delete an entity instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.